Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PlaceholderDefinition

    java.lang.Object
      com.bea.netuix.application.definition.PlaceholderDefinition

All Implemented Interfaces:
  Serializable

public class PlaceholderDefinition
extends Object
implements Serializable

This class represents a persistant placeholder.

See Also:
  Serialized Form

Constructor Summary
`PlaceholderDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, int location)` Constructor to create a new `PlaceholderDefinition` object.

Method Summary
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `PlaceholderDefinition` based on the locale of the request used for retrieving the `PlaceholderDefinition`.
`int` | `getLocation()` Returns the location of this placeholder.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this placeholder.
`PlaceholderDefinitionId` | `getPlaceholderDefinitionId()` Returns the `PlaceholderDefinitionId` for this placeholder.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this placeholder.
`void` | `setLocation(int location)` Sets the location of this placeholder.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this placeholder.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlaceholderDefinition

    public PlaceholderDefinition(LocalizationResource localizationResource,
                                 MarkupDefinitionId markupDefinitionId,
                                 int location)

  Constructor to create a new `PlaceholderDefinition` object.

Parameters:
  `localizationResource` - localized title and description
  `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this placeholder
  `location` - location of this placeholder in it's layout

Method Detail

### getPlaceholderDefinitionId

    public PlaceholderDefinitionId getPlaceholderDefinitionId()

  Returns the `PlaceholderDefinitionId` for this placeholder. Returns `NULL` when the PlaceholderDefinition has not been retrieved by using the persistence API.

  Returns:
    `PlaceholderDefinitionId` for this placeholder

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this placeholder.

  Returns:
    `MarkupDefinitionId`
  See Also:
    `MarkupDefinition`

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this placeholder.

  Parameters:
    `markupDefinitionId` -

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `PlaceholderDefinition` based on the locale of the request used for retrieving the `PlaceholderDefinition`.

  Returns:
    `LocalizationResource` associated with this placeholder

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this placeholder.

  Parameters:
    `localizationResource` -

### getLocation

    public int getLocation()

  Returns the location of this placeholder.

  Returns:
    location

### setLocation

    public void setLocation(int location)

  Sets the location of this placeholder.

  Parameters:
    `location` -

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved